Subject: bug#33513: 26.1; emacsclient forgetting keybinds set by tty-setup-hook

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Nov 2020 09:41:37 +0100

Hadrien Lacour <[email-masked]> writes:

>> > (define-key input-decode-map "^[[1;5A" [C-up])
>>
>> [...]
>>
>> > I get the keybinds I want when using emacs -nw with st, but when using
>> > emacs --daemon and emacsclient, these work only the first time:
>> > $ emacs --daemon
>> > $ emacsclient -nw myfile # no problem, close with C-x C-c
>> > $ emacsclient -nw myfile # from here, tty frames don't remember the bindings
>>
>> (This bug report unfortunately got no response at the time.)
>>
>> What key stroke is "^[[1;5A" (etc) representing?

[...]

> as the line says, "Ctrl + Up arrow". I think I stopped used
> emacsclient because of this, actually.

When I use emacsclient -nw (Debian bullseye), `C-up' works without
altering input-decode-map, so I'm wondering why your terminal is sending
key sequences making it necessary to alter input-decode-map.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no